<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

	<variable name="myvar"
			  value="myvalue"/>
	<targets>

		<target name="CleanerLog"
				fileName="LOGS/CleanerLog/CleanerLog.txt"
				archiveFileName="LOGS/CleanerLog/CleanerLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="TraceLog"
				fileName="LOGS/TraceLogs/TraceLog.txt"
				archiveFileName="LOGS/TraceLogs/TraceLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="ReceiveLog"
				fileName="LOGS/ReceiveLogs/ReceiveLog.txt"
				archiveFileName="LOGS/ReceiveLogs/ReceiveLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="SenderLog"
				fileName="LOGS/SenderLogs/SenderLog.txt"
				archiveFileName="LOGS/SenderLogs/SenderLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>
	</targets>

	<rules>
		<logger name="CleanerLogger" level="Trace" writeTo="CleanerLog"		enabled="true"/>
		<logger name="Trace__Logger" level="Trace" writeTo="TraceLog"		enabled="true"/>
		<logger name="ReceiveLogger" level="Trace" writeTo="ReceiveLog"		enabled="true"/>
		<logger name="Sender_Logger" level="Trace" writeTo="SenderLog"		enabled="true"/>
	</rules>
</nlog>